1034 entries · page 21 of 21

Object classes

Object classes define which attributes an entry may and must carry, from top down to inetOrgPerson and posixAccount.

OIDNameDefined in
1.2.840.113556.1.5.96subnet Subnet
1.2.840.113556.1.5.95subnetContainer Subnet-Container
2.5.20.1subschema subSchema, SubSchemaRFC 4512
1.3.6.1.4.1.15953.9.2.1sudoRole
1.3.6.1.4.1.42.2.27.5.2.14sunPrinter
1.3.6.1.4.1.4203.666.3.5syncConsumerSubentry
1.3.6.1.4.1.4203.666.3.6syncProviderSubentry
1.3.6.1.4.1.453.7.1.2table x400ToRFC822MappingRFC 2293, RFC 2164
1.3.6.1.4.1.11344.4.5.1.2.1tacacsClient
1.3.6.1.4.1.11344.4.5.3.2.2tacacsCommandProfile
1.3.6.1.4.1.11344.4.5.2.2.2tacacsServiceProfile
2.5.6.0top Top The abstract class every object class ultimately inherits from. Its practical contribution is a single thing, but a …RFC 4512
1.3.6.1.4.1.15347.2.3transportTable
5.3.6.1.1.1.2.0trustAccount
1.2.840.113556.1.5.34trustedDomain Trusted-Domain
1.2.840.113556.1.5.53typeLibrary Type-Library
1.3.6.1.1.10.6.3uddiAddressRFC 4403
1.3.6.1.1.10.6.5uddiBindingTemplateRFC 4403
1.3.6.1.1.10.6.1uddiBusinessEntityRFC 4403
1.3.6.1.1.10.6.4uddiBusinessServiceRFC 4403
1.3.6.1.1.10.6.2uddiContactRFC 4403
1.3.6.1.1.10.6.8uddiPublisherAssertionRFC 4403
1.3.6.1.1.10.6.7uddiTModelRFC 4403
1.3.6.1.1.10.6.6uddiTModelInstanceInfoRFC 4403
1.3.6.1.1.10.6.10uddiv3EntityObituaryRFC 4403
1.3.6.1.1.10.6.9uddiv3SubscriptionRFC 4403
1.3.6.1.1.3.1uidObjectRFC 4519, RFC 2377
1.3.6.1.4.1.26027.1.2.900untypedObject
1.2.840.113556.1.5.9user User Active Directory's structural class for user accounts, subclassing organizationalPerson. It is where sAMAccountName, …
2.5.6.18userSecurityInformationRFC 4523, RFC 2256
2.16.840.1.113730.3.2.42vlvIndex
2.16.840.1.113730.3.2.38vlvSearch
1.2.840.113556.1.5.36volume Volume
1.3.6.1.1.11.1.1vPIMUserRFC 4237
← All categories